For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Submission Feedback Upload
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
      • GETList credential pools for a workspace
      • POSTCreate credential pool
      • PATCHUpdate credential pool
Go to app
LogoLogo
API ReferenceCredentials

Create credential pool

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/credentials/
POST
/api/v1/credentials/
$curl -X POST https://api.prolific.com/api/v1/credentials/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "credentials": "user1,password1\nuser2,password2\nuser3,password3",
> "workspace_id": "507f1f77bcf86cd799439011"
>}'
1{
2 "credential_pool_id": "cred_pool_12345"
3}
Create a new workspace-level credential pool. Credential pools contain username/password pairs that can be assigned to participants when they start a study. This allows researchers to provide pre-provisioned credentials for third-party platforms. The credentials are provided as a CSV string where each line contains a username and password separated by a comma (e.g., "user1,pass1\nuser2,pass2").
Was this page helpful?
Previous

List credential pools for a workspace

Next

Update credential pool

Create a new workspace-level credential pool. Credential pools contain username/password pairs that can be assigned to participants when they start a study. This allows researchers to provide pre-provisioned credentials for third-party platforms. The credentials are provided as a CSV string where each line contains a username and password separated by a comma (e.g., “user1,pass1\nuser2,pass2”).

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
credentialsstringRequired

CSV-formatted credentials (username,password per line)

workspace_idstringRequired
The ID of the workspace this credential pool belongs to

Response

Credential pool created successfully
credential_pool_idstring
The unique identifier for the created credential pool

Errors

400
Bad Request Error
4XX
Client Request Error
403
Forbidden Error
409
Conflict Error
502
Bad Gateway Error